define(["require", "exports", "../../constants", "./event"], function (require, exports, constants_1, event_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Describes a BPMN IntermediateThrowEvent.
     *
     * These are used to raise events during ProcessModel execution.
     */
    class IntermediateThrowEvent extends event_1.Event {
        get bpmnType() {
            return constants_1.BpmnType.intermediateThrowEvent;
        }
        get eventType() {
            const eventIsMessageEvent = this.messageEventDefinition !== undefined;
            if (eventIsMessageEvent) {
                return constants_1.EventType.messageEvent;
            }
            const eventIsSignalEvent = this.signalEventDefinition !== undefined;
            if (eventIsSignalEvent) {
                return constants_1.EventType.signalEvent;
            }
            const eventIsLinkEvent = this.linkEventDefinition !== undefined;
            if (eventIsLinkEvent) {
                return constants_1.EventType.linkEvent;
            }
            return undefined;
        }
    }
    exports.IntermediateThrowEvent = IntermediateThrowEvent;
});
//# sourceMappingURL=intermediate_throw_event.js.map