import { IIdentity } from '@essential-projects/iam_contracts';
import { ProcessTokenType } from './process_token_type';
/**
 * The process token contains information for each FlowNodeInstance that was
 * executed during a process.
 * Each FlowNodeInstance will produce its own tokens.
 */
export declare class ProcessToken {
    processInstanceId: string;
    processModelId: string;
    correlationId: string;
    flowNodeInstanceId: string;
    identity: IIdentity;
    createdAt: Date;
    /**
     * If the token belongs to a Subprocess, this will contain the ID of the
     * parent process.
     *
     * Will be empty, if the process started the correlation.
     */
    caller: string;
    /**
     * Determines when the token was recorded.
     * Can bei either onEnter, onExit, onSuspend, or onResume.
     */
    type: ProcessTokenType;
    /**
     * Contains the ProcessToken's values.
     */
    payload: any;
}
