import { BpmnType } from '../../constants';
import { Activity } from './activity';
import { UserTaskFormField } from './types/user_task_form_field';
/**
 * Describes a BPMN UserTask.
 *
 * A user task will hold the current execution of the process and wait for user input
 * before continuing.
 */
export declare class UserTask extends Activity {
    readonly bpmnType: BpmnType;
    preferredControl?: string;
    assignee: string;
    candidateUsers: string;
    candidateGroups: string;
    dueDate?: Date;
    followUpDate?: Date;
    formFields: Array<UserTaskFormField>;
    description: string;
    finishedMessage: string;
}
